package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogDetailRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogListReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogSimpleRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyNursingLogSaveReqVO;

import java.time.LocalDate;
import java.util.List;

/**
 * 长者护理记录 Service
 */
public interface ElderlyNursingLogService {

    Boolean create(List<ElderlyNursingLogSaveReqVO> createReqVO);

    void executeNursingLog(ElderlyNursingLogSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyNursingLogRespVO get(Long id);


    PageResult<ElderlyNursingLogSimpleRespVO> getPage(ElderlyNursingLogPageReqVO pageReqVO);

    List<ElderlyNursingLogRespVO> getList(ElderlyNursingLogListReqVO listReqVO);

    ElderlyNursingLogDetailRespVO getDetailByElderId(Long elderId, LocalDate start, LocalDate end, Integer pageNo, Integer pageSize);
}

